#ifndef _LOGINTERM_H_
#define _LOGINTERM_H_

#include <tqdialog.h>
#include <tqmultilineedit.h>
#include <tqapplication.h>
#include <tqtimer.h>

class LoginMultiLineEdit : public TQMultiLineEdit {

  TQ_OBJECT
  

public:

  LoginMultiLineEdit(TQWidget *parent, const char *name);
  ~LoginMultiLineEdit();

  void keyPressEvent(TQKeyEvent *k);
  void insertChar(unsigned char c);
  void myreturn();
  void mynewline();

public slots:
  void readChar(unsigned char);
};


class LoginTerm : public TQDialog {
  TQ_OBJECT
  
public:
  LoginTerm(TQWidget *parent, const char *name);

  bool pressedContinue();

public slots:
  void cancelbutton();
  void continuebutton();

private:
  LoginMultiLineEdit *text_window;
  TQPushButton *cancel_b;
  TQPushButton *continue_b;

  bool cont;
};

#endif



